5 Replies Latest reply: Nov 24, 2012 11:09 AM by Templeton Peck
duffy1313 Level 1 Level 1 (0 points)

I have an iMac 5 with 2.5G of memory running Tiger. I want to upgrade to Snow Leopard and am wondering if my Office 2004 will run on Snow Leopard or do I have to buy a new version?


Office 2004, iOS 4.1, Upgrading to 10.6.3 on iMac5,2.5G